Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 713022 - dev-libs/qtkeychain: Drop dependency on gnome-base/libgnome-keyring
Summary: dev-libs/qtkeychain: Drop dependency on gnome-base/libgnome-keyring
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Johannes Huber
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 713010
  Show dependency tree
 
Reported: 2020-03-17 18:42 UTC by Matt Turner
Modified: 2020-03-28 08:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Turner gentoo-dev 2020-03-17 18:42:33 UTC
Looking at the upstream repo, I can't find that it /ever/ linked to libgnome-keyring. In any case, it uses libsecret today.
Comment 1 Larry the Git Cow gentoo-dev 2020-03-19 06:39:08 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a592c068251f1357a4533353bdbbb69080e94004

commit a592c068251f1357a4533353bdbbb69080e94004
Author:     Johannes Huber <johu@gentoo.org>
AuthorDate: 2020-03-19 06:37:24 +0000
Commit:     Johannes Huber <johu@gentoo.org>
CommitDate: 2020-03-19 06:38:56 +0000

    dev-libs/qtkeychain: Drop dep on libgnome-keyring
    
    Closes: https://bugs.gentoo.org/713022
    Package-Manager: Portage-2.3.94, Repoman-2.3.21
    Signed-off-by: Johannes Huber <johu@gentoo.org>

 dev-libs/qtkeychain/qtkeychain-0.10.0.ebuild | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)
Comment 2 Matt Turner gentoo-dev 2020-03-19 17:12:12 UTC
Reopening for missing dependency on app-crypt/libsecret.

> -- Checking for module 'libsecret-1'
> --   Found libsecret-1, version 0.18.8
Comment 3 Larry the Git Cow gentoo-dev 2020-03-28 08:33:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a6cab2c6e7b0f16e8920dc95db9dc794dedc12a

commit 5a6cab2c6e7b0f16e8920dc95db9dc794dedc12a
Author:     Johannes Huber <johu@gentoo.org>
AuthorDate: 2020-03-28 08:32:45 +0000
Commit:     Johannes Huber <johu@gentoo.org>
CommitDate: 2020-03-28 08:32:45 +0000

    dev-libs/qtkeychain: Add missing dep on libsecret
    
    Closes: https://bugs.gentoo.org/713022
    Package-Manager: Portage-2.3.96, Repoman-2.3.22
    Signed-off-by: Johannes Huber <johu@gentoo.org>

 dev-libs/qtkeychain/qtkeychain-0.10.0.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)